Skip to Content
FlowVerifyDevelopers
API referenceEnvelopes

List envelopes

Scope envelopes:read. Newest first by default. Bulk-send children are listed as ordinary envelopes (filter with bulk_group_id).

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Query Parameters

status?string

Comma-separated list of statuses

type?string
search?string

Case-insensitive match on name or description

Lengthlength <= 200
created_after?string
Formatdate-time
created_before?string
Formatdate-time
bulk_group_id?string
Formatuuid
sort?string
Default"created_at"
Value in"created_at""updated_at""name""status""sent_at""type"
order?string
Default"desc"
Value in"asc""desc"
limit?integer
Range1 <= value <= 100
Default25
offset?integer
Range0 <= value
Default0

Response Body

A page of envelopes

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?array<>
pagination?
Example Request
curl -X GET 'https://api.flowverify.co/v1/envelopes'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": [    {      "object": "envelope",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "reference": "string",      "external_reference": "string",      "name": "string",      "type": "string",      "description": "string",      "folder": "string",      "note_to_recipients": "string",      "status": "draft",      "mode": "send",      "signing_method": "flowverify",      "send_in_order": true,      "days_to_complete": 0,      "expires_at": "2019-08-24T14:15:22Z",      "auto_reminders": true,      "reminder_days": 0,      "allow_comments": true,      "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",      "bulk_group_id": "d79d1808-cde8-4e17-88af-e68d9273ee36",      "recipients": [        {          "object": "recipient",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "email": "string",          "phone": "string",          "role": "sign",          "order": 0,          "status": "pending",          "language": "string",          "auth": {            "email_otp": true,            "sms_otp": true          },          "sent_at": "2019-08-24T14:15:22Z",          "viewed_at": "2019-08-24T14:15:22Z",          "signed_at": "2019-08-24T14:15:22Z",          "declined_at": "2019-08-24T14:15:22Z",          "decline_reason": "string"        }      ],      "files": [        {          "object": "file",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "size": 0,          "content_type": "string",          "page_count": 0,          "order": 0,          "fields": [            {              "object": "field",              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",              "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",              "type": "signature",              "label": "string",              "page": 0,              "x": 0,              "y": 0,              "width": 0,              "height": 0,              "required": true,              "value": "string",              "is_filled": true            }          ]        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "sent_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "voided_at": "2019-08-24T14:15:22Z",      "declined_at": "2019-08-24T14:15:22Z",      "expired_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true  }}